%define __python /usr/bin/python2.7
%global pybindir /usr/lib/python2.7/bin

%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif


Name:           python27-toolz
Version:        0.6.0
Release:        1%{?dist}.1
Summary:        A functional standard library for Python

Group:          Development/Libraries
License:        New BSD
URL:            https://github.com/pytoolz/toolz/
Source0:        https://pypi.python.org/packages/source/t/toolz/toolz-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:  python27-devel 
BuildRequires:  python27-setuptools

%description
A set of utility functions for iterators, functions, and dictionaries.

See the PyToolz documentation at http://toolz.readthedocs.org

%prep
%setup -q -n toolz-%{version}

%build
. /etc/profile.d/modules.sh
module load python/2.7
%{__python} setup.py build

%install
rm -rf %{buildroot}
. /etc/profile.d/modules.sh
module load python/2.7
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitearch}/toolz
%{python_sitearch}/toolz-%{version}-py?.?.egg-info


%changelog
* Mon Jun 16 2014 Josko Plazonic <plazonic@princeton.edu>
- initial packaging
